<bugID>1171482<Summary>Experiment with queuing mutations before sending the new-mutation event to the client</Summary><Description>As we began discussing in Bug 1170848 (see comment 9 - comment 17), there may be a performance gain to be had by queuing up mutations before sending the new-mutations event to the client.  In that process we could also do some pruning of unimportant mutations.

We already do some some queueing mechanism with this._pendingMutations, but a request is sent to the client to fetch the immediately once the first one is retrieved, so we don't have control over how long we wait to queue.  We would have to decide where certain parts of the logic belong (like clearing out multiple attribute changes, which is currently done in getMutations: https://github.com/mozilla/gecko-dev/blob/b3caa9d676228f9dca25a32ff2899b4c2380363d/toolkit/devtools/server/actors/inspector.js#L2712-L2731).</Description></bugID>